> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invoice Payments

> Returns the org's invoice payments with payable amounts.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-invoice-payments
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-invoice-payments:
    get:
      operationId: getInvoicePayments
      summary: Get Invoice Payments
      description: |-
        Returns the org's invoice payments with payable amounts.

        Not available to API keys.
      parameters:
        - name: status
          in: query
          required: true
          schema:
            type: string
            enum:
              - DRAFT
              - PENDING
              - APPROVED
              - REJECTED
              - CANCELLED
              - FAILED
              - COMPLETED
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetInvoicePaymentsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetInvoicePaymentsResponse:
      type: object
      properties:
        invoices:
          type: array
          items:
            type: object
            properties:
              approvalRevision:
                type: integer
              invoicePaymentID:
                type: string
              roleInOrgID:
                type: string
              externalInvoiceID:
                type: string
              contractorEmail:
                type: string
              contractorName:
                type: string
              invoiceNumber:
                type: string
              invoiceDate:
                type: string
              dueDate:
                type:
                  - string
                  - 'null'
              totalAmount:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              currencyCode:
                type: string
              lineItems: {}
              status:
                type: string
              reason:
                type:
                  - string
                  - 'null'
              rejectionReason:
                type:
                  - string
                  - 'null'
              autoApproved:
                type: boolean
              notes:
                type:
                  - string
                  - 'null'
              attachments: {}
              submissionTimestamp:
                type: string
              payoutHrisBankAccountId:
                type:
                  - string
                  - 'null'
              payoutBankSnapshot: {}
              billToSnapshot: {}
              createdAt:
                type: string
              updatedAt:
                type: string
              roleInOrg:
                type: object
                properties:
                  hrAutomationOnly:
                    type: boolean
                  isServiceSeat:
                    type: boolean
                  invoiceApproverRoutingUpdatedAt:
                    type:
                      - string
                      - 'null'
                  legacyMigratedAt:
                    type:
                      - string
                      - 'null'
                  legacyModelID:
                    type:
                      - integer
                      - 'null'
                  roleInOrgID:
                    type: string
                  personID:
                    type: string
                  orgID:
                    type: string
                  invitedByInvestorID:
                    type:
                      - string
                      - 'null'
                  invitedByRecipientID:
                    type:
                      - string
                      - 'null'
                  roleInOrgExternalID:
                    type: integer
                  externalEmployeeID:
                    type:
                      - string
                      - 'null'
                  positionID:
                    type:
                      - string
                      - 'null'
                  jobTitle:
                    type:
                      - string
                      - 'null'
                  country:
                    type:
                      - string
                      - 'null'
                  countryCode:
                    type:
                      - string
                      - 'null'
                  preferredInvoiceCurrency:
                    type:
                      - string
                      - 'null'
                  status:
                    type:
                      - string
                      - 'null'
                  lifecycleStatus:
                    type:
                      - string
                      - 'null'
                  workEmail:
                    type:
                      - string
                      - 'null'
                  department:
                    type:
                      - string
                      - 'null'
                  legalEntity:
                    type:
                      - string
                      - 'null'
                  payrollEntity:
                    type:
                      - string
                      - 'null'
                  contractEntityID:
                    type:
                      - string
                      - 'null'
                  onboarded:
                    type: boolean
                  isTerminated:
                    type: boolean
                  privilegedAdmin:
                    type: boolean
                  isPrimaryAdmin:
                    type: boolean
                  isOrgMarketMaker:
                    type: boolean
                  role:
                    type: string
                  employmentType:
                    type:
                      - string
                      - 'null'
                  revokedAt:
                    type:
                      - string
                      - 'null'
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  payrollEmployeeID:
                    type:
                      - string
                      - 'null'
                  hasWelcomeEmailSent:
                    type: boolean
                  subEmploymentType:
                    type:
                      - string
                      - 'null'
                  remarks:
                    type:
                      - string
                      - 'null'
                  isITAdmin:
                    type: boolean
                  isExternalEmployee:
                    type: boolean
                  employeeSyncedSource:
                    type:
                      - string
                      - 'null'
                  investorFullName:
                    type:
                      - string
                      - 'null'
                  baseSalary:
                    type:
                      - string
                      - 'null'
                    pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                  baseSalaryCurrency:
                    type:
                      - string
                      - 'null'
                  baseSalaryPaymentType:
                    type: string
                  baseSalaryTokenTypeID:
                    type:
                      - string
                      - 'null'
                  baseSalaryTokenSymbol:
                    type:
                      - string
                      - 'null'
                  baseSalaryTokenNetwork:
                    type:
                      - string
                      - 'null'
                  baseSalaryPeriod:
                    type:
                      - string
                      - 'null'
                  stablecoinPayPercentage:
                    type:
                      - number
                      - 'null'
                  maxStablecoinPercentage:
                    type:
                      - number
                      - 'null'
                  taxMethod:
                    type:
                      - string
                      - 'null'
                  withholdingPercentage:
                    type:
                      - string
                      - 'null'
                    pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                  lastLogin:
                    type:
                      - string
                      - 'null'
                  lastTestTxReminderBy:
                    type:
                      - string
                      - 'null'
                  lastTestTxReminderAt:
                    type:
                      - string
                      - 'null'
                  payrollFileNumber:
                    type:
                      - string
                      - 'null'
                  externalPayrollId:
                    type:
                      - string
                      - 'null'
                  lastOnboardingReminderBy:
                    type:
                      - string
                      - 'null'
                  lastOnboardingReminderAt:
                    type:
                      - string
                      - 'null'
                  address:
                    type:
                      - string
                      - 'null'
                  payrollGroup:
                    type:
                      - string
                      - 'null'
                  lastInactiveWalletReminderBy:
                    type:
                      - string
                      - 'null'
                  lastInactiveWalletReminderAt:
                    type:
                      - string
                      - 'null'
                  recipientType:
                    type:
                      - string
                      - 'null'
                  receiveNotificationEmails:
                    type: boolean
                  receiveInAppNotifications:
                    type: boolean
                  notificationEmailFrequency:
                    type: string
                  receiveSlackNotifications:
                    type: boolean
                  selfServeContractorOnboardingStatus:
                    type: string
                  selfServeContractorOnboardingCompletedAt:
                    type:
                      - string
                      - 'null'
                  selfServeWelcomeEmailSentAt:
                    type:
                      - string
                      - 'null'
                  numberOfPayPeriodsPerYear:
                    type: integer
                  managerRoleInOrgID:
                    type:
                      - string
                      - 'null'
                  managerPath:
                    type: array
                    items:
                      type: string
                  person:
                    type: object
                    properties:
                      personID:
                        type: string
                      givenName:
                        type: string
                      familyName:
                        type: string
                      middleName:
                        type:
                          - string
                          - 'null'
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                      legacyMigratedAt:
                        type:
                          - string
                          - 'null'
                      legacyModelID:
                        type:
                          - integer
                          - 'null'
                      mergedIntoPersonID:
                        type:
                          - string
                          - 'null'
                      mergedAt:
                        type:
                          - string
                          - 'null'
                      fullName:
                        type: string
                    required:
                      - personID
                      - givenName
                      - familyName
                      - middleName
                      - createdAt
                      - updatedAt
                      - legacyMigratedAt
                      - legacyModelID
                      - mergedIntoPersonID
                      - mergedAt
                      - fullName
                required:
                  - hrAutomationOnly
                  - isServiceSeat
                  - invoiceApproverRoutingUpdatedAt
                  - legacyMigratedAt
                  - legacyModelID
                  - roleInOrgID
                  - personID
                  - orgID
                  - invitedByInvestorID
                  - invitedByRecipientID
                  - roleInOrgExternalID
                  - externalEmployeeID
                  - positionID
                  - jobTitle
                  - country
                  - countryCode
                  - preferredInvoiceCurrency
                  - status
                  - lifecycleStatus
                  - workEmail
                  - department
                  - legalEntity
                  - payrollEntity
                  - contractEntityID
                  - onboarded
                  - isTerminated
                  - privilegedAdmin
                  - isPrimaryAdmin
                  - isOrgMarketMaker
                  - role
                  - employmentType
                  - revokedAt
                  - createdAt
                  - updatedAt
                  - payrollEmployeeID
                  - hasWelcomeEmailSent
                  - subEmploymentType
                  - remarks
                  - isITAdmin
                  - isExternalEmployee
                  - employeeSyncedSource
                  - investorFullName
                  - baseSalary
                  - baseSalaryCurrency
                  - baseSalaryPaymentType
                  - baseSalaryTokenTypeID
                  - baseSalaryTokenSymbol
                  - baseSalaryTokenNetwork
                  - baseSalaryPeriod
                  - stablecoinPayPercentage
                  - maxStablecoinPercentage
                  - taxMethod
                  - withholdingPercentage
                  - lastLogin
                  - lastTestTxReminderBy
                  - lastTestTxReminderAt
                  - payrollFileNumber
                  - externalPayrollId
                  - lastOnboardingReminderBy
                  - lastOnboardingReminderAt
                  - address
                  - payrollGroup
                  - lastInactiveWalletReminderBy
                  - lastInactiveWalletReminderAt
                  - recipientType
                  - receiveNotificationEmails
                  - receiveInAppNotifications
                  - notificationEmailFrequency
                  - receiveSlackNotifications
                  - selfServeContractorOnboardingStatus
                  - selfServeContractorOnboardingCompletedAt
                  - selfServeWelcomeEmailSentAt
                  - numberOfPayPeriodsPerYear
                  - managerRoleInOrgID
                  - managerPath
                  - person
              totalPayableAmount:
                type: number
              totalPayableCurrencyCode:
                const: USDC
              totalPayableExchangeRate:
                type: number
            required:
              - approvalRevision
              - invoicePaymentID
              - roleInOrgID
              - externalInvoiceID
              - contractorEmail
              - contractorName
              - invoiceNumber
              - invoiceDate
              - dueDate
              - totalAmount
              - currencyCode
              - lineItems
              - status
              - reason
              - rejectionReason
              - autoApproved
              - notes
              - attachments
              - submissionTimestamp
              - payoutHrisBankAccountId
              - payoutBankSnapshot
              - billToSnapshot
              - createdAt
              - updatedAt
              - totalPayableAmount
              - totalPayableCurrencyCode
              - totalPayableExchangeRate
      required:
        - invoices
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
